Loading...
Searching...
No Matches
BALL::VIEW::LabelDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/labelDialog.h>`

Inheritance diagram for BALL::VIEW::LabelDialog:

## Public Slots

Public slots
void | show ()

## Public Member Functions

Constructors
| LabelDialog (QWidget *parent=NULL, const char *name="LabelDialog")
Destructors
virtual | ~LabelDialog ()
Accessors: inspectors and mutators
virtual void | onNotify (Message *message)
virtual void | fetchPreferences (INIFile &inifile)
virtual void | writePreferences (INIFile &inifile)
virtual void | initializeWidget (MainControl &main_control)
Public Member Functions inherited from BALL::VIEW::ModularWidget
| ModularWidget (const char *name="<ModularWidget>")
| ModularWidget (const ModularWidget &widget)
virtual | ~ModularWidget ()
virtual void | destroy ()
virtual void | clear ()
virtual void | checkMenu (MainControl &main_control)
QAction * | insertMenuEntry (Position parent_id, const QString &name, const QObject *receiver=0, const char *slot=0, const String &description="", QKeySequence accel=QKeySequence(), const QString &menu_hint=QString(""), UIOperationMode::OperationMode minimal_mode=UIOperationMode::MODE_ALL)
BALL_DEPRECATED void | setMenuHelp (QAction *, const String &)
virtual BALL_DEPRECATED void | registerForHelpSystem (const QObject *, const String &)
virtual void | addToolBarEntries (QToolBar *main_tb)
void | setIcon (QAction *action, const String &filename, bool add_to_main_toolbar=true)
virtual void | initializePreferencesTab (Preferences &preferences)
virtual void | finalizePreferencesTab (Preferences &preferences)
virtual void | applyPreferences ()
bool | lockComposites ()
bool | unlockComposites ()
| Unlock the Composites.
MainControl * | getMainControl () const
virtual void | setStatusbarText (const String &text, bool important=false)
virtual void | setStatusbarText (const QString &text, bool important=false)
String | getWorkingDir ()
| Implemented for convenience.
void | setWorkingDir (const String &dir)
| Implemented for convenience.
FragmentDB & | getFragmentDB () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setWorkingDirFromFilename_ (String filename)
virtual BALL_DEPRECATED void | showHelp (const String &)
virtual void | finalizeWidget (MainControl &main_control)
virtual bool | canHandle (const String &) const
virtual bool | openFile (const String &)
Public Member Functions inherited from BALL::Embeddable
| Embeddable (const String &identifier="<Embeddable>")
| Embeddable (const Embeddable &embeddable)
virtual | ~Embeddable ()
void | setIdentifier (const String &identifier)
const String & | getIdentifier () const
void | unregisterThis ()
virtual void | registerThis ()
Public Member Functions inherited from BALL::VIEW::ConnectionObject
| ConnectionObject ()
virtual | ~ConnectionObject ()
void | registerConnectionObject (ConnectionObject &object)
void | unregisterConnectionObject (ConnectionObject &object)
bool | isConnectionObjectRegistered (const ConnectionObject &object)
ConnectionObject * | getParent () const
ConnectionObject * | getRoot ()
virtual bool | isValid () const

## Protected slots

QAction * | id_
ColorRGBA | custom_color_
QFont | font_
virtual void | accept ()
virtual void | editColor ()
virtual void | addTag ()
virtual void | fontSelected ()
virtual void | modeChanged ()
void | textChanged ()
virtual void | checkMenu (MainControl &main_control)
| Overloaded from ModularWidget.
Representation * | createOneLabel_ ()
Representation * | createMultipleLabels_ ()

## Additional Inherited Members

Public Types inherited from BALL::Embeddable
typedef std::vector< Embeddable * > | EmbeddableVector
static void | registerWidget (ModularWidget *mwidget)
void | notify_ (Message *message)
void | notify_ (Message &message)
void | onNotify_ (Message *message)
static void | registerInstance_ (const std::type_info &type, const Embeddable *instance)
static void | unregisterInstance_ (const Embeddable *instance)
static Size | countInstances_ (const std::type_info &type)
static Embeddable * | getInstance_ (const std::type_info &type, Position index)
static Embeddable * | getInstance_ (const std::type_info &type, const String &identifier)
QAction * | window_menu_entry_
bool | show_window_enty_
bool | default_visible_
QList< QAction * > | main_toolbar_actions_

## Detailed Description

Dialog for creating labels for a selection of molecular objects. The class MolecularControl is responsible for creating such a selection. The text, color and font of the labels can be changed. If this dialog is used, it should be created with MainControl as parent.

Definition at line 38 of file labelDialog.h.

## Constructor & Destructor Documentation

## LabelDialog()

BALL::VIEW::LabelDialog::LabelDialog | ( | QWidget * | parent = NULL,
|  | const char * | name = "LabelDialog" )

Default Constructor. Calls registerWidget .

Parameters

  parent | the parent widget
  name |

See also
  QDialog
  ModularWidget

## ~LabelDialog()

virtual BALL::VIEW::LabelDialog::~LabelDialog | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## accept

virtual void BALL::VIEW::LabelDialog::accept | ( |  | ) |

protected virtual slot

Indicates the apply button was pressed. Creates a new Representation with the Label and notifies the widgets.

See also
  GeometricCenterProcessor
  RepresentationMessage

## addTag

virtual void BALL::VIEW::LabelDialog::addTag | ( |  | ) |

protected virtual slot

## checkMenu

virtual void BALL::VIEW::LabelDialog::checkMenu | ( | MainControl & | main_control | ) |

protected virtual slot

Overloaded from ModularWidget.

## createMultipleLabels_()

Representation * BALL::VIEW::LabelDialog::createMultipleLabels_ | ( |  | ) |

protected

## createOneLabel_()

Representation * BALL::VIEW::LabelDialog::createOneLabel_ | ( |  | ) |

protected

## editColor

virtual void BALL::VIEW::LabelDialog::editColor | ( |  | ) |

protected virtual slot

Opens the dialog to select the color for the label text. See documentation of QT-library for information concerning QColorDialog widgets.

## fetchPreferences()

virtual void BALL::VIEW::LabelDialog::fetchPreferences | ( | INIFile & | inifile | ) |

virtual

ModularWidget methods Fetches the preferences (the position and the selected color of {*this} labelDialog) from the INIFile.

See also
  writePreferences

Reimplemented from BALL::VIEW::ModularWidget.

## fontSelected

virtual void BALL::VIEW::LabelDialog::fontSelected | ( |  | ) |

protected virtual slot

## initializeWidget()

virtual void BALL::VIEW::LabelDialog::initializeWidget | ( | MainControl & | main_control | ) |

virtual

Initializes the popup menu Display with its checkable submenu Add Label ; This method is called automatically immediately before the main application is started.

Parameters

  main_control | the MainControl object to be initialized

See also
  openDialog
  finalizeWidget
  insertMenuEntry

Reimplemented from BALL::VIEW::ModularWidget.

## modeChanged

virtual void BALL::VIEW::LabelDialog::modeChanged | ( |  | ) |

protected virtual slot

## onNotify()

virtual void BALL::VIEW::LabelDialog::onNotify | ( | Message * | message | ) |

virtual

Message handling method. Catches only ControlSelectionMessage from MolecularControl. If such a message is catched the apply button will be enabled and labels can be appended onto the selection.

Parameters

  message | the pointer to the message that should be processed

Reimplemented from BALL::VIEW::ConnectionObject.

## show

void BALL::VIEW::LabelDialog::show | ( |  | ) |

slot

Show and raise the dialog

## textChanged

void BALL::VIEW::LabelDialog::textChanged | ( |  | ) |

protected slot

## writePreferences()

virtual void BALL::VIEW::LabelDialog::writePreferences | ( | INIFile & | inifile | ) |

virtual

Writes the preferences (the position and the selected color) to the INIFile. This method will be called inside the method MainControl::aboutToExit

See also
  fetchPreferences

Reimplemented from BALL::VIEW::ModularWidget.

## Member Data Documentation

## custom_color_

ColorRGBA BALL::VIEW::LabelDialog::custom_color_

protected

Definition at line 166 of file labelDialog.h.

## font_

QFont BALL::VIEW::LabelDialog::font_

protected

Definition at line 167 of file labelDialog.h.

## id_

QAction* BALL::VIEW::LabelDialog::id_

protected

Definition at line 164 of file labelDialog.h.